/* ==========================================================================
  SECTION PAGE
===========================================================================*/

.section-page {
  width: 100%;
  padding-top: 30px;
  padding-bottom: 30px;
  overflow: hidden;

  @include mq('laptop', 'max') {
    padding-top: 50px;
    padding-bottom: 50px;
  }

  @include mq('tablet', 'max') {
    padding-top: 40px;
    padding-bottom: 40px;
  }

  + .section-page {
    margin-top: -100px;

    @include mq('desktop', 'max') {
      margin-top: -30px;
    }
  }

  + .red-section {
    margin-top: -70px;
    margin-bottom: 30px;

    @include mq('laptop', 'max') {
      margin-top: -30px;
      margin-bottom: 0;
    }
  }
}

.section-page__row{
  display: flex;
  flex-wrap: wrap;
  margin-left: -15px;
  margin-right: -15px;
}

.section-page__row_reflected {

  @include mq('laptop') {
    flex-direction: row-reverse;

    .section-page__image {
      margin-left: 0;
    }
  }
}

.section-page__col {
  display: flex;
  align-items: center;
  padding-left: 15px;
  padding-right: 15px;
  text-align: left;

  @include mq('laptop', 'max') {
    width: 100%;
  }
}

.section-page__col_small {

  @include mq('laptop') {
    width: 40%;
  }
}

.section-page__col_large {

  @include mq('laptop') {
    width: 60%;
  }
}

.section-page__title {
  margin-top: 0;
  margin-bottom: 30px;
  color: $color-primary;

  @include mq('tablet', 'max') {
    margin-bottom: 15px;
  }
}

.section-page__image {
  flex-shrink: 0;
  margin-left: -35%;
  width: 882px;

  @include mq('desktop', 'max') {
    margin-left: -22%;
    width: 680px;
  }

  @include mq('laptop', 'max') {
    width: 100%;
    max-width: 480px;
    margin-left: auto;
    margin-right: auto;
  }
}

.section-page__content {

  p {
    margin: 30px 0;

    @include mq('tablet', 'max') {
      margin: 15px 0;
    }
  }

  @include mq('laptop', 'max') {
    max-width: 600px;
    margin: 0 auto;
    text-align: center;
  }
}

.section-page__title-large {
  position: relative;

  span {
    position: absolute;
    z-index: -1;
    top: 50%;
    left: 0;
    transform: translateY(-55%);
    color: $color-gray-light;
    font-size: 100px;
    font-weight: $font-weight-bold;
    opacity: 0.3;

    @include mq('desktop', 'max') {
      font-size: 60px;
    }

    @include mq('laptop', 'max') {
      left: 0;
      right: 0;
      margin: auto;
      transform: translateY(-60%);
    }

    @include mq('tablet', 'max') {
      font-size: 40px;
      transform: translateY(-70%);
    }
  }
}

.section-page__buttons {
  display: flex;
  align-items: center;
  flex-wrap: wrap;

  @include mq('desktop', 'max') {
    flex-direction: column;
    align-items: flex-start;
  }

  @include mq('laptop', 'max') {
    align-items: center;
  }

  .btn + .btn {
    margin-left: 10px;

    @include mq('desktop', 'max') {
      margin-left: 0;
      margin-top: 10px;
    }
  }
}

/* section page */
